Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.defensive.sample
Class CompanyView

    java.lang.Object
      ru.rsdn.patterns.mvc.view.AbstractView<Model<P>,P>
          ru.rsdn.patterns.mvc.view.View<Company>
              ru.rsdn.defensive.sample.CompanyView

All Implemented Interfaces:
  IModelSubscriber<Company>

    public class CompanyView

extends View<Company>

Представление компании

Field Summary
`private org.eclipse.swt.widgets.Text` | `emailText`
`private org.eclipse.swt.widgets.Text` | `nameText`
`private org.eclipse.swt.widgets.List` | `protocolList`
`private org.eclipse.swt.widgets.Text` | `tinText`

Constructor Summary
`CompanyView(org.eclipse.swt.widgets.Composite parent)`

Method Summary
`void` | `modelChanged(Model<Company> model)`
`private void` | `update()`

Methods inherited from class ru.rsdn.patterns.mvc.view.View
`edit`

Methods inherited from class ru.rsdn.patterns.mvc.view.AbstractView
`getController, getModel, redo, setModel, undo, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameText

    private final org.eclipse.swt.widgets.Text nameText

### tinText

    private final org.eclipse.swt.widgets.Text tinText

### emailText

    private final org.eclipse.swt.widgets.Text emailText

### protocolList

    private org.eclipse.swt.widgets.List protocolList

Constructor Detail

### CompanyView

    public CompanyView(org.eclipse.swt.widgets.Composite parent)

Method Detail

### modelChanged

    public void modelChanged(Model<Company> model)

  Parameters:
    `model` - модель

### update

    private void update()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD